From: "Kostadin Shishmanov" <kocelfc@tutanota.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: media-video/obs-vkcapture/
Date: Sun, 14 Apr 2024 08:28:57 +0000 (UTC) [thread overview]
Message-ID: <1713083255.d8052a5e3f6093c2c03b2d73a40c6c9f4268d520.kocelfc@gentoo> (raw)
commit: d8052a5e3f6093c2c03b2d73a40c6c9f4268d520
Author: Kostadin Shishmanov <kocelfc <AT> tutanota <DOT> com>
AuthorDate: Sun Apr 14 08:27:35 2024 +0000
Commit: Kostadin Shishmanov <kocelfc <AT> tutanota <DOT> com>
CommitDate: Sun Apr 14 08:27:35 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d8052a5e
media-video/obs-vkcapture: add 1.5.0
Signed-off-by: Kostadin Shishmanov <kocelfc <AT> tutanota.com>
media-video/obs-vkcapture/Manifest | 1 +
.../obs-vkcapture/obs-vkcapture-1.5.0.ebuild | 60 ++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/media-video/obs-vkcapture/Manifest b/media-video/obs-vkcapture/Manifest
index 7a5ac655b3..6dc0e99421 100644
--- a/media-video/obs-vkcapture/Manifest
+++ b/media-video/obs-vkcapture/Manifest
@@ -1,2 +1,3 @@
DIST obs-vkcapture-1.4.5.tar.gz 58958 BLAKE2B cbe2b506c8f5e51088ff2eac5cd12e1490114735957354c935d210f353c95b9dd1819f25ed15b4d4b0c6bf5ec636f236c153ebf392886ac5ffafd555f358239f SHA512 37e72d9dc01fc63dde666d90f17ef04e309771cbcf5e6fbd3e4115f9e88a788ca03bca0970182d9a1014d916b0a51fe799f70f2dc4579831bf3327764d33764c
DIST obs-vkcapture-1.4.9.tar.gz 60230 BLAKE2B 6b83fb66476cde0f6979d571506efa4706a1273dcc545f85751d0e343cdd53c3131261bea64b16551c52c7a8ddc40482e508dcd8597a7e958a6d01079805fb01 SHA512 1a9da496cd2b1ce2d678ac118845709efdff13b2ddce8816b20c9c4b210b652b674f5e10da5c51a5fd648dce7d52305afa83ff984da5148ce8ca04d43da0c7a1
+DIST obs-vkcapture-1.5.0.tar.gz 60684 BLAKE2B b66bcf23618cda614118f913e3f756246cf1521f7f28ab91e6032671072f2f550c04763865f153d5c36cdeac8565a08b22602ef9680b5d138a91b595064995f1 SHA512 856a735ca3d1ed9f04c91c7e4a006aca2a72389a4ac0dee13d2b1f87da8e622d71dda400bb263499ddd04b1bc4294e7270382fc12e91e82a8ed554de8e3a4c96
diff --git a/media-video/obs-vkcapture/obs-vkcapture-1.5.0.ebuild b/media-video/obs-vkcapture/obs-vkcapture-1.5.0.ebuild
new file mode 100644
index 0000000000..f09feca24c
--- /dev/null
+++ b/media-video/obs-vkcapture/obs-vkcapture-1.5.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CMAKE_REMOVE_MODULES_LIST=( FindFreetype )
+
+inherit xdg cmake-multilib
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/nowrep/obs-vkcapture"
+else
+ SRC_URI="https://github.com/nowrep/obs-vkcapture/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="OBS Linux Vulkan/OpenGL game capture"
+HOMEPAGE="https://github.com/nowrep/obs-vkcapture"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+BDEPEND="
+ dev-util/vulkan-headers
+ media-libs/shaderc
+ media-libs/vulkan-loader[${MULTILIB_USEDEP}]
+ >=media-video/obs-studio-27[wayland]
+ x11-libs/libdrm[${MULTILIB_USEDEP}]
+"
+RDEPEND="
+ media-libs/libglvnd[${MULTILIB_USEDEP}]
+ >=media-video/obs-studio-27[wayland]
+ x11-libs/libdrm[${MULTILIB_USEDEP}]
+ x11-libs/libxcb:=[${MULTILIB_USEDEP}]
+"
+
+QA_SONAME="
+ /usr/lib64/libVkLayer_obs_vkcapture.so
+ /usr/lib64/libobs_glcapture.so
+ /usr/lib/libVkLayer_obs_vkcapture.so
+ /usr/lib/libobs_glcapture.so
+"
+
+src_unpack() {
+ default
+
+ if [[ ${PV} == 9999 ]]; then
+ git-r3_src_unpack
+ fi
+}
+
+multilib_src_configure() {
+if ! multilib_is_native_abi; then
+ local mycmakeargs+=(
+ -DBUILD_PLUGIN=OFF
+ )
+fi
+ cmake_src_configure
+}
next reply other threads:[~2024-04-14 8:29 UTC|newest]
Thread overview: 31+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-04-14 8:28 Kostadin Shishmanov [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-21 6:34 [gentoo-commits] repo/proj/guru:dev commit in: media-video/obs-vkcapture/ Kostadin Shishmanov
2024-07-20 10:34 Kostadin Shishmanov
2024-07-20 10:34 Kostadin Shishmanov
2024-06-01 17:18 Kostadin Shishmanov
2024-04-14 8:28 Kostadin Shishmanov
2024-02-17 15:04 Kostadin Shishmanov
2023-11-24 20:36 Adel KARA SLIMANE
2023-11-24 20:36 Adel KARA SLIMANE
2023-10-19 16:38 Kostadin Shishmanov
2023-10-19 16:37 Kostadin Shishmanov
2023-07-10 10:47 Kostadin Shishmanov
2023-07-10 10:47 Kostadin Shishmanov
2023-06-17 6:28 Kostadin Shishmanov
2023-06-17 6:27 Kostadin Shishmanov
2023-06-08 5:55 Kostadin Shishmanov
2023-06-08 5:55 Kostadin Shishmanov
2023-06-08 5:55 Kostadin Shishmanov
2022-09-08 19:28 Adel KARA SLIMANE
2022-07-22 17:48 Adel KARA SLIMANE
2022-04-03 13:29 Adel KARA SLIMANE
2022-02-13 19:04 Adel KARA SLIMANE
2022-01-11 13:57 Adel KARA SLIMANE
2021-12-18 13:33 Adel KARA SLIMANE
2021-09-21 12:23 Adel KARA SLIMANE
2021-09-20 14:17 Adel KARA SLIMANE
2021-09-20 9:41 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-09-20 9:37 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-09-16 12:19 Adel KARA SLIMANE
2021-09-13 11:49 Adel KARA SLIMANE
2021-09-11 12:54 Adel KARA SLIMANE
2021-09-11 12:12 Adel KARA SLIMANE
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1713083255.d8052a5e3f6093c2c03b2d73a40c6c9f4268d520.kocelfc@gentoo \
--to=kocelfc@tutanota.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox